Trigger support package creation on a device

posthttps://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages

Requests the device to generate a support package and upload it to cloud storage. Returns 202 with a timestamp and upload URL (SAS token stripped). Only one support package operation can be in progress at a time per device.

RBAC Capability Required: fleet.device.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

202Support package creation triggered.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

409Conflict

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…